Bug 1270876 (CVE-2015-8745) - CVE-2015-8745 Qemu: net: vmxnet3: reading IMR registers leads to a crash via assert(2) call
Summary: CVE-2015-8745 Qemu: net: vmxnet3: reading IMR registers leads to a crash via ...
Status: NEW
Alias: CVE-2015-8745
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20151012,reported=2...
Keywords: Security
Depends On: 1295442 1295443
Blocks: 1270878
TreeView+ depends on / blocked
 
Reported: 2015-10-12 15:05 UTC by Adam Mariš
Modified: 2019-04-14 12:52 UTC (History)
29 users (show)

(edit)
A reachable-assertion flaw was found in the QEMU emulator built with VMWARE-VMXNET3 paravirtualized NIC
emulator support. The flaw could occur while reading Interrupt Mask Registers (IMR). A privileged (CAP_SYS_RAWIO) guest user could exploit this flaw to crash the QEMU process instance, resulting in denial of service.
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)
Patch (876 bytes, patch)
2015-10-12 15:07 UTC, Adam Mariš
no flags Details | Diff

Description Adam Mariš 2015-10-12 15:05:58 UTC
Qemu emulator built with a VMWARE VMXNET3 paravirtual NIC emulator support is
vulnerable to crash issue. It could occur while reading Interrupt Mask Registers(IMR).

A privileged(CAP_SYS_RAWIO) guest user could use this flaw to crash the Qemu process instance resulting in DoS.

Upstream patch:
---------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=c6048f849c7e3f009786df76206e895

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/01/04/7

Comment 1 Adam Mariš 2015-10-12 15:07 UTC
Created attachment 1082031 [details]
Patch

Comment 2 Paolo Bonzini 2015-10-19 09:58:35 UTC
RHEL and RHEV QEMU is not affected because it doesn't ship the vmx device.

Comment 3 Prasad J Pandit 2016-01-04 13:56:59 UTC
Statement: 

This issue does not affect the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6, and the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue does not affect the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 7.

This issue does not affect the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

Comment 4 Prasad J Pandit 2016-01-04 14:06:55 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1295443]

Comment 5 Prasad J Pandit 2016-01-04 14:07:11 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1295442]

Comment 7 Fedora Update System 2016-01-12 07:54:43 UTC
qemu-2.4.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-01-19 23:54:55 UTC
qemu-2.3.1-10.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-01-24 03:26:05 UTC
qemu-2.4.1-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-01-28 18:25:35 UTC
xen-4.5.2-7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-02-01 06:30:35 UTC
xen-4.5.2-7.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.